"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mergeAll = void 0;
const _flatten_1 = require("./_flatten");
/**
 * Merges elements from all inner async-iterable sequences into a single async-iterable sequence.
 *
 * @template TSource The type of the elements in the source sequences.
 * @returns {OperatorAsyncFunction<AsyncIterable<TSource>, TSource>} The async-iterable sequence that merges the elements of the inner sequences.
 */
function mergeAll(concurrent = Infinity) {
    return function mergeAllOperatorFunction(source) {
        return new _flatten_1.FlattenConcurrentAsyncIterable(source, (s) => s, concurrent, false);
    };
}
exports.mergeAll = mergeAll;

//# sourceMappingURL=mergeall.js.map
